function FileData_Pairs(x)
{
x.t("tibemssession","tibemssession");
x.t("tibemssession","type");
x.t("tibemssession","tibco");
x.t("organizing","context");
x.t("registers","message");
x.t("310","tibemssession_close");
x.t("transactions","tibemssession_commit");
x.t("transactions","session");
x.t("tibemssession_createtextmessage","create");
x.t("311","transactions");
x.t("restriction","applies");
x.t("restriction","corollary");
x.t("inbound","outbound");
x.t("inbound","messages");
x.t("within","single");
x.t("create","queue");
x.t("create","text");
x.t("create","byte");
x.t("create","map");
x.t("create","stream");
x.t("create","message");
x.t("create","temporary");
x.t("create","dynamic");
x.t("create","durable");
x.t("static","dynamic");
x.t("delivery","program");
x.t("description","page");
x.t("events","message");
x.t("tibemssession_rollback","roll");
x.t("tibemssession_rollback","session");
x.t("unsubscribe","durable");
x.t("rollback","immediately");
x.t("enabled","single");
x.t("current","transaction");
x.t("topic","subscriber");
x.t("topic","303");
x.t("topic","subscription");
x.t("cache","inbound");
x.t("until","program");
x.t("program","registers");
x.t("program","explicitly");
x.t("program","calls");
x.t("program","acknowledges");
x.t("program","specifies");
x.t("program","consume");
x.t("support","enabled");
x.t("mode","either");
x.t("cooperates","server");
x.t("roll","back");
x.t("state","during");
x.t("type","purpose");
x.t("close","session");
x.t("close","thread");
x.t("close","exception");
x.t("open","transaction");
x.t("explicitly","begins");
x.t("calls","tibemssession_rollback");
x.t("calls","single");
x.t("calls","tibemssession_commit");
x.t("time","transactions");
x.t("however","static");
x.t("thread\u2019s","activity");
x.t("browser","291");
x.t("subscriber","295");
x.t("queue","browser");
x.t("queue","302");
x.t("queue","browsers");
x.t("text","message");
x.t("back","messages");
x.t("reclaim","resources");
x.t("objects","create");
x.t("objects","cache");
x.t("objects","thread");
x.t("objects","internal");
x.t("objects","single-thread");
x.t("objects","created");
x.t("objects","associated");
x.t("single","thread");
x.t("jms","specification");
x.t("among","session\u2019s");
x.t("new","transaction");
x.t("290","tibemssession_rollback");
x.t("outbound","messages");
x.t("291","tibemssession_createtemporaryqueue");
x.t("actions","commit");
x.t("292","tibemssession_createmapmessage");
x.t("during","message");
x.t("applies","objects");
x.t("293","tibemssession_createdurablesubscriber");
x.t("become","part");
x.t("synchronously","asynchronously");
x.t("tibemssession_commit","session");
x.t("tibemssession_commit","commit");
x.t("byte","array");
x.t("295","tibemssession_createproducer");
x.t("consequence","rule");
x.t("tibemssession_close","close");
x.t("tibemssession_close","programs");
x.t("handler","events");
x.t("restricting","session");
x.t("non-transaction","semantics");
x.t("corollary","consequence");
x.t("dispatcher","thread");
x.t("synchronous","delivery");
x.t("synchronous","synchronous");
x.t("part","transaction");
x.t("298","tibemssession_createstreammessage");
x.t("session","tibemssession");
x.t("session","within");
x.t("session","calls");
x.t("session","reclaim");
x.t("session","objects");
x.t("session","become");
x.t("session","synchronous");
x.t("session","thread");
x.t("session","recovers");
x.t("session","acknowledges");
x.t("session","namely");
x.t("session","deliver");
x.t("session","either");
x.t("session","object");
x.t("rule","restricting");
x.t("rule","consumers");
x.t("combine","several");
x.t("serializing","activity");
x.t("map","message");
x.t("programs","session");
x.t("programs","call");
x.t("array","message");
x.t("300","tibemssession_unsubscribe");
x.t("thread","time");
x.t("thread","jms");
x.t("thread","session");
x.t("thread","function");
x.t("thread","may");
x.t("thread","processes");
x.t("thread","associated");
x.t("thread","delivers");
x.t("flow","session");
x.t("stream","message");
x.t("301","tibemssession_createtextmessage");
x.t("functions","request");
x.t("request","next");
x.t("recovers","inbound");
x.t("begin","new");
x.t("302","tibemssession_createtemporarytopic");
x.t("303","consumers");
x.t("acknowledges","inbound");
x.t("acknowledges","transaction");
x.t("next","message");
x.t("tibemssession_createbytesmessage","create");
x.t("304","destinations");
x.t("messages","current");
x.t("messages","until");
x.t("messages","mode");
x.t("messages","serializing");
x.t("messages","flow");
x.t("messages","tibemssession_createbytesmessage");
x.t("messages","serialize");
x.t("messages","message");
x.t("messages","produces");
x.t("messages","event");
x.t("undetermined","state");
x.t("activity","close");
x.t("activity","among");
x.t("activity","remarks");
x.t("handlers","listeners");
x.t("processing","309");
x.t("namely","messages");
x.t("function","description");
x.t("function","tibemssession_close");
x.t("recover","undetermined");
x.t("software","chapter");
x.t("chapter","session");
x.t("may","session");
x.t("processes","inbound");
x.t("specifies","transaction");
x.t("tibemssession_createconsumer","create");
x.t("tibemssession_createproducer","create");
x.t("begins","thread");
x.t("309","tibco");
x.t("listeners","consumer");
x.t("listeners","session\u2019s");
x.t("internal","dispatcher");
x.t("subscription","311");
x.t("purpose","organizing");
x.t("single-thread","restriction");
x.t("organize","thread\u2019s");
x.t("serialize","inbound");
x.t("serialize","asynchronous");
x.t("consumer","objects");
x.t("consumer","293");
x.t("session\u2019s","consumer");
x.t("session\u2019s","producers");
x.t("producer","300");
x.t("tibemssession_unsubscribe","unsubscribe");
x.t("tibco","software");
x.t("message","events");
x.t("message","objects");
x.t("message","292");
x.t("message","handler");
x.t("message","298");
x.t("message","301");
x.t("message","304");
x.t("message","activity");
x.t("message","processing");
x.t("message","listeners");
x.t("message","consumer");
x.t("message","producer");
x.t("message","tibemsmsgconsumer_receive");
x.t("message","producers");
x.t("message","consumers");
x.t("asynchronously","asynchronous");
x.t("produces","outbound");
x.t("event","handlers");
x.t("sessions","combine");
x.t("tibemssession_createbrowser","create");
x.t("tibemssession_createstreammessage","create");
x.t("several","roles");
x.t("temporary","topic");
x.t("temporary","queue");
x.t("temporary","destinations");
x.t("browsers","serialize");
x.t("browsers","temporary");
x.t("subscribers","message");
x.t("deliver","messages");
x.t("exception","rule");
x.t("context","message");
x.t("remarks","sessions");
x.t("dynamic","destinations");
x.t("tibemsmsgconsumer_receive","organize");
x.t("page","messages");
x.t("semantics","program");
x.t("semantics","session");
x.t("289","tibemssession_recover");
x.t("asynchronous","delivery");
x.t("asynchronous","message");
x.t("asynchronous","asynchronous");
x.t("destinations","create");
x.t("destinations","program");
x.t("destinations","however");
x.t("destinations","tibemssession_createbrowser");
x.t("destinations","exempt");
x.t("specification","restricts");
x.t("destroys","outbound");
x.t("tibemssession_createtemporarytopic","create");
x.t("tibemssession_recover","recover");
x.t("transaction","310");
x.t("transaction","program");
x.t("transaction","support");
x.t("transaction","290");
x.t("transaction","actions");
x.t("transaction","non-transaction");
x.t("transaction","function");
x.t("transaction","semantics");
x.t("transaction","destinations");
x.t("transaction","server");
x.t("created","session");
x.t("call","close");
x.t("immediately","begin");
x.t("either","synchronously");
x.t("either","transaction");
x.t("tibemssession_createdurablesubscriber","create");
x.t("producers","queue");
x.t("producers","tibemssession_createconsumer");
x.t("producers","consumers");
x.t("consumers","create");
x.t("consumers","session");
x.t("consumers","functions");
x.t("consumers","producers");
x.t("consumers","durable");
x.t("restricts","programs");
x.t("exempt","restriction");
x.t("tibemssession_createtemporaryqueue","create");
x.t("associated","objects");
x.t("associated","session");
x.t("roles","create");
x.t("commit","rollback");
x.t("commit","open");
x.t("delivers","outbound");
x.t("delivers","messages");
x.t("consume","new");
x.t("tibemssession_createmapmessage","create");
x.t("durable","topic");
x.t("durable","subscribers");
x.t("object","cooperates");
x.t("server","messages");
x.t("server","destroys");
x.t("server","delivers");
x.t("resources","289");
}
